---
title: Non-Software Licenses
layout: default
permalink: /non-software/
---

Open source software licenses can be used for non-software works, and often are the best choice. This is particularly the case when the works in question can be edited and versioned as source, e.g., [open source hardware](http://www.oshwa.org/definition/) designs. Choose an [open source license](/licenses/).

### Data, media, etc.

[CC0-1.0](/licenses/cc0-1.0/), [CC-BY-4.0](/licenses/cc-by-4.0/), and [CC-BY-SA-4.0](/licenses/cc-by-sa-4.0/) are [open](http://opendefinition.org) licenses used for non-software material ranging from datasets to videos. Note that CC-BY-4.0 and CC-BY-SA-4.0 should [not be used for software](https://creativecommons.org/faq/#can-i-apply-a-creative-commons-license-to-software).

### Documentation

Any open source software license or open Creative Commons license is applicable to software documentation. If you use different licenses for your software and its documentation, you may wish to take care that source code examples in the documentation are also licensed under the software license.

### Fonts

The [SIL Open Font License 1.1](/licenses/ofl-1.1/) keeps fonts open but allows them to be freely used in other works.

### Mixed Projects

If your project contains a mix of software and other material, you can include multiple licenses, as long as you are explicit about which license applies to what parts of the project.  See [the license notice for this site](https://github.com/github/choosealicense.com#license) as an example.
